import { Options } from '../types';
/**
 * Shallow merge (specific or all) properties.
 * If some properties both are arrays, then merge them also.
 */
declare function mergeOptions(rawOptions1: Options | null, rawOptions2: Options | null): {
    color?: boolean | undefined;
    concurrency?: number | undefined;
    configFileName?: string | undefined;
    configFilePath?: string | undefined;
    cwd?: string | undefined;
    deep?: boolean | undefined;
    dep?: string | undefined;
    deprecated?: boolean | undefined;
    doctor?: boolean | undefined;
    doctorInstall?: string | undefined;
    doctorTest?: string | undefined;
    enginesNode?: boolean | undefined;
    errorLevel?: number | undefined;
    filter?: import("../types").FilterRejectPattern | undefined;
    filterVersion?: import("../types").FilterRejectPattern | undefined;
    format?: string[] | undefined;
    global?: boolean | undefined;
    greatest?: boolean | undefined;
    interactive?: boolean | undefined;
    jsonAll?: boolean | undefined;
    jsonDeps?: boolean | undefined;
    jsonUpgraded?: boolean | undefined;
    loglevel?: string | undefined;
    mergeConfig?: boolean | undefined;
    minimal?: boolean | undefined;
    newest?: boolean | undefined;
    ownerChanged?: boolean | undefined;
    packageData?: string | undefined;
    packageFile?: string | undefined;
    packageManager?: string | undefined;
    peer?: boolean | undefined;
    pre?: boolean | undefined;
    prefix?: string | undefined;
    registry?: string | undefined;
    reject?: import("../types").FilterRejectPattern | undefined;
    rejectVersion?: import("../types").FilterRejectPattern | undefined;
    removeRange?: boolean | undefined;
    retry?: number | undefined;
    semverLevel?: string | undefined;
    silent?: boolean | undefined;
    target?: import("../types").Target | undefined;
    timeout?: number | undefined;
    upgrade?: boolean | undefined;
    args?: any[] | undefined;
    cli?: boolean | undefined;
    json?: boolean | undefined;
    nodeEngineVersion?: string | undefined;
    peerDependencies?: import("../types").Index<any> | undefined;
    rcConfigPath?: string | undefined;
};
export default mergeOptions;
